﻿using FurnitureAssemblyDataModels.Enums;
using FurnitureAssemblyDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ComponentModel;
using System.Text;
using System.Threading.Tasks;

namespace FurnitureAssemblyContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int FurnitureId { get; set; }
        [DisplayName("Изделие")]
        public string FurnitureName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now.ToUniversalTime();
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
        public int ClientId { get; set; }
        [DisplayName("Клиент")]
        public string ClientFIO { get; set; } = string.Empty;
        public int? ImplementerId { get; set; }
        [DisplayName("Исполнитель")]
        public string? ImplementerFIO { get; set; } = string.Empty;
    }
}
